Page MenuHomePhabricator

Process to collect community news that the Foundation shouldn't miss
Open, LowPublic

Description

WARNING: This task requires a proper description.

The goal of this task is to produce a selection of news from the Wikimedia movement. The target audience defined here are Wikimedia Foundation executives, as a way to define a threshold of relevance and level of detail. In principle, this selection could be interesting to many other audiences.

Proposed steps to complete this task:

  • Identify news channels maintained by the Wikimedia communities.
  • Organize a way to systematically scan these channels and promote news of special interest, involving news authors, maintainers of the news channels, other volunteers, and Foundation staff.
  • A team (the Space editorial board? see T226817) would lead the curation of these promoted news, tagging or submitting selected news (or summaries pointing to these news) to Space.
  • (To be considered) A periodical newsletter could be created compiling the selected news.

The steps above would bring a selection of news from the communities that should be very interesting to multiple audiences, Wikimedia Foundation executives included. The Community Relations team would be responsible to assure that these news are followed by the Foundation teams and executives, and that important news are highlighted to specific teams and executives related to these news.

Event Timeline

Qgil created this task.Jul 3 2019, 3:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2019, 3:53 PM
Headbomb added a subscriber: Headbomb.EditedJul 3 2019, 4:50 PM

This is a phabricator ticket created in response to https://en.wikipedia.org/wiki/Special:PermanentLink/904657033#A_WMF_noticeboard_on_enwiki and also to https://en.wikipedia.org/wiki/Special:PermanentLink/904655589#Idea

In its current scope, it takes care of the 'Create a WMF Noticeboard' general request, which is a centralized place to have WMF-related annoucements.

However, the second link outlines a different area of concern. The Fram brouhaha highlighted the apparent fact that the WMF leadership is disconnected from the high-level discussions of the community (this is not specific to enwiki discussions). So while a centralized WMF noticeboard of some kind helps the WMF to let enwiki (and other projects) know what's going on at the WMF, a desire exists that the WMF is more pro-active in having its finger on the community and being aware of that is going on the projects. Discussions occur at several places, so I suggested creating the position of a 'community communications' position, or if such a position exits, to expands the job description of that role to create discussion reports to the WMF.

I have made a mockup of a 'monthly report' to be distributed internally, but obviously the exact format and frequency can vary. The idea here is that someone would scour high-level project noticeboards, and distill them for the benefit of the WMF (both at the leadership level and for individual teams), rather than the WMF wait to be passively notified of these high-level discussions. A few month ago, I have created https://en.wikipedia.org/wiki/Template:Newsletters which is a repository of newsletters published across the Wikimedia projects (with links to google translate) and as well as those distributed enwiki. We also have https://en.wikipedia.org/wiki/Template:Noticeboard_links which is a repository of enwiki noticeboards. Similar repositories can be built for the other projects (dewiki, frwiki, commons, wikidata, wiktionary, etc...)

Not every newsletter or every noticeboard will have something relevant to the WMF every week/month/whatever , some noticeboards are way more active than others and need closer monitoring (https://en.wikipedia.org/wiki/Wikipedia:Administrators%27_noticeboard is nuts), while others are completely irrelevant (e.g. https://en.wikipedia.org/wiki/Wikipedia:Requests_for_permissions). It is a major task that would take a significant amount of time, and it would be very inefficient to expect that every WMF big wig / staff member to individually and personally review each newsletter and noticeboard. However, if a distillation of these discussions were to happen, this would likely be helpful.

For instance, https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(proposals) currently has 16 ongoing topics. I don't know which exactly are particularly WMF relevant, but

*https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(proposals)#RfC:_Removing_locally-defined_links_to_Commons_categories_if_they_match_the_Wikidata_sitelinks
*https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(proposals)#A_new_use_for_Wikidata_external_IDs_in_Wikipedia_(template)
*https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(proposals)#RfC:_Deprecate_webcitation.org_aka_WebCite

might be at least be relevant to the WMF people dealing with Wikidata support, with the others discussions being local issues that are IMO too small-potatoes for the WMF to care about. A small summary of what those discussions were about, and what their status is (or their resolution), would probably be helpful to the Wikidata team, which might not otherwise have been aware that these discussions occurred.

Having a summary of the discussion would also allow the executive to go "Hey, there was a lot of discussions concerning this topic, are we doing enough here? Hm..." on the less urgent issues, but also allow to identify areas where more urgent attention is needed. "Hey team, while preparing the next discussion report, I came across this discussion which I want to bring this to your attention since there are some things catching on fire... "

Feel free to split this into a separate ticket(s) / sub ticket(s) or whatever.

Headbomb added a subscriber: Pundit.Jul 4 2019, 3:49 AM
Qgil added a comment.Jul 4 2019, 8:46 AM

Thank you very much, @Headbomb. I suggest to continue the discussion flexibly here. As this discussion results in specific objectives, we can create the tasks to track its implementation.

Some thoughts about the discussion so far including the comments in Katherine's talk page:

  • The Community-Relations team at the Wikimedia Foundation already had a goal to channel all Foundation announcements through a common process to one location, from which individuals and communities could pull and subscribe to the specific topics they were interested about.
  • While it is understandable that English Wikipedia contributors are asking for a quick solution that works for English Wikipedia, as the team committing to implement a solution we need to look at how to solve an old problem that is common to the entire movement, in a way that is sustainable and scales. As a matter of fact, when it comes to share information, I don't think that a global solution for the movement would imply much more work than a local solution for en.wiki alone. This goes both for the stream of Foundation news and for the stream of community news that the Foundation should b aware of.
  • The expectation on feedback from the Foundation deserves a discussion on its own. Again, it is understandable that en.wiki contributors demand en.wiki solutions, but as the team committing to implement a solution (including processes and resources) it is also understandable that we are very cautious about making commitments to a single project without considering what happens if only 5-10 more projects demand the same thing.
  • While news can be published in one place and be redistributed to many without any loss, the same is not true for the feedback and discussions those news generate. The problem goes beyond of needing someone to follow all the discussions about the same topic happening in different places and having to provide similar answers in different places. The bigger problem is that the quality and even the outcomes of those discussions may differ significantly if we have disconnected discussions about the same topic or a place where most of the relevant feedback and discussions can be captured and addressed.
  • Last but not least, if this would be a simple problem, someone would have solved it already. :)

@Headbomb, about your proposal specifically. While I clearly see the benefit of having a stream of news that the communities think the Foundation should be aware and respond to, I struggle with the idea of creating a stream only for the Foundation. If a piece of news is interesting to the Foundation, then surely it is interesting to a lot of people and projects as well. From the point of view of who is doing the work writing or selecting news, their work can have a bigger audience and a bigger impact. Therefore, what about something like this:

  • Anyone can publish news, either from scratch or capturing an announcement published somewhere and linking to its source for more details.
  • Someone decides which of these news should go to the "Wikimedia Foundation Radar" (or whatever name) stream of news that the Foundation should be aware.
  • These news can be tagged reflecting not only the topics they cover, but also i.e. an "English Wikipedia" tag (or "Wikipedia" AND "English" tags) to identify news especially relevant to a specific project, a tag identifying a Wikimedia Foundation project or team directly related with these news, and so on.
  • A tag could be also used to identify when a piece of news contains an official request for the Foundation. By official I mean that goes beyond an individual asking, for instance when it is a formal working group, a team, a committee, the outcome of an official community discussion like a RfC...

With such process we would have a stream of incoming news and curation (tagging) in one side, and multiple streams of news classified in various ways. From the point of view of the communities, this would be a standard process open to everyone, and from the point of view of the Foundation the output would be a filtered list of topics to be addressed, including hints about which communities and Foundation teams are more related to each topic, for context and efficient handling.

As the team committing to implementing a solution to an old problem, we propose to run such process in Wikimedia Space including T226726: Wikimedia Space integration with wikis, because it offers a better infrastructure to everyone, and it is more efficient, equitable and inclusive to all Wikimedia contributors than an on-wiki-only solution for English Wikipedia alone. We understand the skepticism and criticism that this may raise as a vision among some volunteers, but after doing a more complex math we really believe that the end result will be more satisfactory for everyone: for news publishers, curators, the Foundation executives and teams reacting to these news, the individuals willing to follow this activity from their wikis, and also everyone willing to participate in the topics and projects featured by these news.

Qgil claimed this task.Jul 4 2019, 8:48 AM
Qgil triaged this task as Normal priority.
Qgil edited projects, added Space (Jul-Sep-2019); removed Space (Oct-Dec-2019).
Qgil moved this task from Backlog to Started on the Space (Jul-Sep-2019) board.
Headbomb added a comment.EditedJul 4 2019, 2:23 PM

While related to the general issue of communications, my proposal above focuses on one specific aspect: Keeping the WMF people up to date on high-level discussions happening across the various projects. It's not that what results from this needs to be put to the exclusive use of the WMF, but what is interesting to the WMF may be completely different/irrelevant to what is interesting to most other people. So you could have the "communication officer" maintain a feed of high-level discussions on a widely distributed/publicized public space, to the benefit of everyone. I'll call this the "gather" part.

But that might still be too large or unfocused for the needs of the WMF big wigs and staff, which may get overwhelmed by the amount they need to review. So a second step of "distill" is likely needed.

By all means create a communal report/space that benefits everyone (if that makes sense), but the real value for WMF team of 300 and its leaders would probably to have a distilled internal report of some kind, e.g.

Discussion report, July 1-7
Here is the big stuff that happened this week. Of the big stuff, we should probably take a look at

  • Big Stuff A and Big Stuff B since that may affect the following grants, or the following teams.
  • Big Stuff C is a big mess concerning policy at the Portugese Wikipedia, which resulted in them banning 2 admins and implementing mandatory admin re-elections after 3 years. We don't need to do anything here, but if you have admin accounts at the Portugese wikipedia, or run admin bots there you will probably want to touch base with them. Interesting fact, this also makes them the first project to have period-based re-elections for its admins.
  • Big Stuff D is a new tool being deployed at commons which has been coded by a volunteer, but there's interest in porting/implementing it to other sites, wikispecies especially.
  • Also GLAM hosted a 4th of July-themed podcast which was downloaded 250,000 times over the weekend!
  • There's more on the communal news space, but nothing that struck me as needing urgent attention.

Ultimately, it's up to the WMF to decide what form that distillation would take. Maybe that means multiple distillations customized to each team and one for the board. Or a big one customized to the WMF as a whole.

The goal is just to have a way for the WMF people know "this is the big stuff happening at dewiki this week" without having to be watching a noticeboard (or several) where 95%+ of what is discussed is too local/small potatoes for the WMF to care about. A debate about whether websites should be italicized or not is of no interest to anyone in the WMF. A debate about whether wikidata should be more integrated with wikiversity probably would be.

Qgil added a comment.Jul 4 2019, 9:18 PM

Yes, fully agreed. I'd say don't worry about the Distill process. We are already doing that internally.

However, even when the process of distillation could be improved, the main limitations come from the Gather process. First because consistent gathering across the movement by a single party isn't easy, and second because it isn't always clear that a piece of news gathered is worth distilling. While the Foundation will keep dedicating resources to gather news across the movement, the process would work much better if the communities would help gathering as well. This help could be driven by self-interest, e.g. if English Wikipedia wants to be sure that the Foundation is aware of specific community news, the best way to assure that would be to gather them.

Headbomb added a comment.EditedJul 5 2019, 5:40 AM

Indeed, the exact form of the distillation process really is up to the WMF, my 'internal newsletter' idea is only one possible form of it. A concern was raised that the WMF big wigs didn't have their fingers on the pulse, so this was one way of having that distillation process happen. If the issues are down in the 'gather' part of the process, then on enwiki your starting point is probably these two links

https://en.wikipedia.org/wiki/Template:Newsletters (which has a lot of non-enwiki and sister project newsletters as well)
https://en.wikipedia.org/wiki/Template:Noticeboard_links

You can then filter out noticeboards and newsletters not worth monitoring at the WMF level (e.g. most Wikiproject newsletters, edit war noticeboard, etc.)

For the other projects, asking them a general 'Hey, we're looking at having someone create a summary of high-level discussions and newsletters across Wikimedia projects. So right now, we're wondering about what are the important noticeboards similar to enwiki's https://en.wikipedia.org/wiki/Wikipedia:Village_pump or dewiki's https://de.wikipedia.org/wiki/Wikipedia_Diskussion:Kurier we should care about on this project, as well as any newsletters and mailing lists that may exist?' would likely yield a lot of insight.

The foundation should also consider making use of sitewide/watchlist notices for things like TOS changes and other high-priority stuff. Not everything needs to make use of those, but a TOS change is significant.

Qgil added a comment.EditedJul 8 2019, 9:54 AM

There is a mismatch in expectations about pushing/pulling community news that we need to resolve:

  • One possible expectation is that the Foundation should watch relevant channels (to be defined), hiring as needed to do so.
  • Another possible expectation is that the Foundation provides the communities a process to push news that they think the Foundation shouldn't miss.

The latter looks more sustainable and actionable in the short term. Not only because hiring people (having the budget approved to do so) isn't simple nor quick, also because no coverage of movement news can be handled fairly and reliably by a single person.

Tgr added a subscriber: Tgr.Jul 8 2019, 11:00 AM

From a technical POV a feed to publish Foundation announcements and a feed to collect announcements community members are making towards the Foundation is not even similar, not sure if it's useful to discuss them in the same task. Translation requirements will be different, moderation requirements will be very different, wiki integration possibilities to consider will be entirely different etc.

Qgil added a comment.Jul 19 2019, 9:33 PM

Sorry for the silence.

I propose to morph this task as "Process to collect community news that the Foundation shouldn't miss", since most of the discussion is about this. Then we can create a new task to work on "One feed to pull all the announcements published by the Foundation".

Qgil renamed this task from One feed to pull all the announcements published by the Foundation to Process to collect community news that the Foundation shouldn't miss.Jul 24 2019, 12:51 PM
Qgil updated the task description. (Show Details)

Done. Please check the new title & description of this task, plus the new task T228862: One feed to pull all the announcements published by the Foundation.

Just reviewed the updated ticket. I very much like the new description!

Qgil lowered the priority of this task from Normal to Low.Sep 3 2019, 8:26 AM
Qgil edited projects, added Space (Oct-Dec-2019); removed Space (Jul-Sep-2019).

Due to a change in the Community Relations team, we are going to hire for a role strong in communications, and we will take this project into account.

However, define this role and hiring this person will take a while. This is the reason why I am lowering priority right now.

Headbomb added a comment.EditedSep 16 2019, 6:50 AM

I suggest that this person creates/has access to the global account [[User:WMF]], so that people can easily ping the WMF on such issues.

E.g. if someone needs some help from the WMF, or wants to notify them of something, but don't really know who to ask for / who to contact, they could just write something like

*Someone from {{ping|WMF}} legal dept should take a look at this. ~~~~
*Heads up, {{ping|WMF}}. There's an RFC related to new global admin rights being proposed. This might affect global users and implementation might need help from some tech people. ~~~~

Etc.

The talk page of the account would also be a general space to ask question to the WMF.

@Headbomb: IMO this task is about relevant information ("threshold of relevance"), not about telling some department what to do and not for resourcing requests.

*Someone from {{ping|WMF}} legal dept should take a look at this. ~~~~

This example sounds like actively encouraging wrong expectations. meta:Legal already covers accepted ways how to contact WMF Legal.
Creating more places where people expect reaction or feedback (and might not receive it) does not help anybody. (Having a WMF-Legal tag in Phabricator might be a similar example of creating wrong expectations.)
I'd also assume that meta:Legal is also linked from the meta:Wikimedia Resource Center.

*Heads up, {{ping|WMF}}. There's an RFC related to new global admin rights being proposed. This might affect global users and implementation might need help from some tech people. ~~~~

It's not that "WMF" can spontaneously assign "some tech people" from some [non-existing] pool of people who have no other plans what to work on. There is meta:Tech, there is https://discourse-mediawiki.wmflabs.org/ , there are technical mailing lists, there are IRC channels, there are talk pages, there are dedicated Phab tasks, ..., if you "need help from some tech people" (which do not have to be "WMF"). No reason for some appeal to authority (which would not exist here). :)

Qgil added a comment.Sep 19 2019, 9:54 AM

The "who to ask at the Foundation" use case is different than this one and it is being addressed at T232983: Process to handle questions addressed to the Wikimedia Foundation. Just like in here there we are also trying to design a process that is feasible to implement and relies on good collaboration between volunteers and different roles and teams at the Foundation instead of relying on a single individual.

About escalating news to the Foundation, last week there was a relevant discussion at Katherine Maher's (the Foundation's executive director) talk page in English Wikipedia. That discussion had several points in common to the other discussion (in Katherine's talk page in Meta) that led us to create this task. Not a coincidence.

In my efforts to burst the myth or the aura around "what information is escalated to Katherine" and the general believe that the solution to problem is to escalate them to the ED, let me explain how escalation (or plain selection of news) works currently inside the Foundation:

  • There is a rather informal weekly newsletter where anyone can contribute short news about anything happening in the movement. An example could be that Wikipedia in Language X is celebrating their One Millionth article, or that there is a heated discussion in some project about some problem. Each news piece consists of a header and a couple of sentences plus a link where the action is happening, and who contributed the story (in case someone wants to contact them to know more).
  • There is a weekly process where each Foundation team reports to the Executive team significant news about their work. When this work involves or relates to the communities, then the report becomes a way to learn about community news too. The report is edited in our internal wiki and anyone at the Foundation has access to it, and therefore is a useful tool for everyone to stay informed, not only the executives. There are many teams and many weeks, and the idea is that the Executive team receives only what really has an impact, only what really is valuable to select/escalate at that level. More news means less attention on each news, and the point is to make sure the Foundation leadership doesn't miss anything they should know, not fair journalistic coverage of the movement.
  • And then there is a very tight selection of news that are selected/escalated to the ED directly. This is an extra step to assure that no matter how busy or how much traveling or how much whatever the ED is, they know about certain ongoing processes at the movement. Usually the topics being escalated are very sensitive, otherwise they would be handled in other channels without the need of having the ED directly involved. Sometimes the information is not public (e.g. a conversation between a chapter and the Foundation about some problem the chapter has), and someone the information is public but only in some corner of the movement.

This context is important to understand why we cannot satisfy a demand to publish the weekly reports that Katherine receives even if copypasting them somewhere would be technically easy. I see three major problems:

  • We cannot publish information that is not public, usually for a very good reason.
  • If we publish information about a sensitive situation that is known only in some corner of the movement, the likelihood that such publication will worsen the problem instead of helping to solve it is pretty high.
  • Also, if we focus on this very selective report of news presented to the ED without the context of the other news selected in the other two weekly reporting channels, we can only expect many volunteers and communities to be upset about why their news are not being escalated, they may think we have no clue about all the many things going on at the movement, etc.

Conclusion, and back to the topic that @Headbomb brought here: we agree that the communities and the Foundation need to be aware and on the same page about the news being selected and about events being escalated, and the solution is a highly transparent process featuring the news selected -- with the understandable exception of very sensitive information.

Thanks for @Qgil for creating T232983. I agree that how to contact/ask question of the WMF it's better handled as a separate ticket/question.

Qgil, Katherine said "the Community Relations team: they pay attention to conversations here, on Jimmy’s talk page, on Meta, at the Village Pump and their equivalents in other languages, and other spaces where community members gather and discuss.
They brief me weekly on what’s going on, and highlight when there’s something I should be engaging with directly" - that's very different to your description above of a very tight selection including non-public material. Perhaps the two of you could get together to get your stories straight.

Try please to remember that one of the problems is a promise from Katherine to engage with the community being followed by her apparently ignoring the community when it took her at her word.

I will add my experience of the Community Relations Team is that when I ask them for information about WMF actions or inactions, they do not seem to be able to access the information needed, and end up asking me to tell them, so perhaps with that in mind you will excuse my cynicism.

@DuncanHill: Hi and welcome! Please see https://www.mediawiki.org/wiki/Bug_management/Phabricator_etiquette regarding "cynicism". In general, when it comes to claims and statements that "X has promised Y", references are welcome - "Citation needed", basically. :) Thanks.

@Aklapper I'm sorry I had missed that page telling me how to use this website on another website.

I won't have any time to devote to learning how phabricator works this year, so while I thought I was having a constructive conversation on en-wiki with Qgil, I don't see it continuing here.

Sorry to have troubled you, if you have anything you want to ask or say to me you'll find me on en-wiki.

Qgil added a comment.Oct 3 2019, 8:56 PM

@DuncanHill I look at the description of this task and I still think it describes the goal we want to achieve here. I believe our common goal is that the executives of the Foundation are aware of news and events they should be aware of, and respond to. I described the current processes we have in place. We have been discussing how to improve the current situation. We are working on this new role described above that will own this process...

If you have ideas for specific improvements, please share them.

Qgil added a comment.Oct 10 2019, 9:55 PM

A job post related to this task: https://discuss-space.wmflabs.org/t/job-post-senior-communications-strategist-community-relations/1733

We are going to start working on this process this quarter, very likely before this new person joins our team. This is the role that will be in charge of making this process work.

Aklapper removed a subscriber: Aklapper.Thu, Oct 31, 10:16 AM